package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db/model"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	zhios_day_luck_draw_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/utils"
	"time"
	"xorm.io/xorm"
)

func AddPeriod(sess *xorm.Session, req md.DayLuckDrawPeriodReq, base string) bool {
	var data = &model.DayLuckDrawPeriod{
		Reward:     req.Reward,
		CreateTime: time.Now(),
		Period:     zhios_day_luck_draw_utils.StrToInt(req.Period),
		Base:       base,
	}
	insert, err := sess.Insert(data)
	if insert == 0 || err != nil {
		return false
	}
	return true
}
func GetPeriodMax(sess *xorm.Session) *model.DayLuckDrawPeriod {
	var data model.DayLuckDrawPeriod
	get, err := sess.Desc("period").Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
